Preference conversion for Compact Language Links
Closed, ResolvedPublic

Description

In some wikis Compact Language Links may have to be deployed gradually: First to anonymous users, new user accounts and users who already enabled the beta feature. This will require defining it as default for new users, and migrating the old preference for existing users.

Possible implementation ideas:

  • Use a live migration
  • Prepare script for preference migration
  • Set preference to true by default and false for rest? Or default false and true for existing users and with hook for new users.
Amire80 created this task.Apr 19 2016, 11:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 19 2016, 11:47 AM
Amire80 triaged this task as "High" priority.Apr 19 2016, 11:48 AM
Amire80 moved this task from Backlog to Infrastructure on the ULS-CompactLinks board.
Amire80 claimed this task.

Assigning to myself first, to make some decisions about it.

Queries are written, announcements are written.

We'll make separate tickets for implementation.

Change 336073 had a related patch set uploaded (by Amire80):
Add an maintenance script for opt-in

https://gerrit.wikimedia.org/r/336073

@jcrespo We want to run this maintenance script during deployment (Updates preference for svwiki users of Compact Language Link), does it require review from DBA/TechOps?

You do not need my review, but the script it is wrong right now. This is a destructive script, so you should run it in dry mode first (which doesn't have right now) to make sure you do not delete anything you would not want. Also make sure you print enough information to revert the change if something goes wrong.

When run, add it to Deployments page.

Editing user preferences has caused user backslash in the past- make sure your users are informed and ok with all the changes.

Change 336073 merged by jenkins-bot:
Add a maintenance script for opt-in

https://gerrit.wikimedia.org/r/336073

Amire80 edited the task description. (Show Details)Feb 21 2017, 6:38 AM

The chosen way is Prepare script for preference migration. The script is in https://gerrit.wikimedia.org/r/336073 .

Change 338971 had a related patch set uploaded (by Hashar):
Add a maintenance script for opt-in

https://gerrit.wikimedia.org/r/338971

Change 338971 merged by jenkins-bot:
Add a maintenance script for opt-in

https://gerrit.wikimedia.org/r/338971

Mentioned in SAL (#wikimedia-operations) [2017-02-21T14:43:14Z] <hashar@tin> Synchronized php-1.29.0-wmf.12/extensions/UniversalLanguageSelector/maintenance/ULSCompactLinksDisablePref.php: Add a maintenance script for opt-in T133031 (duration: 00m 41s)

Arrbee moved this task from QA to Done on the Language-2017 Sprint 2 board.Feb 22 2017, 6:35 AM
Amire80 closed this task as "Resolved".Mar 1 2017, 12:21 PM

Run successfully on Swedish, ready for running on future deployments.